For Developers

List Invoices

GET https://ed.link/api/v2/teams/:team_id/invoices

Returns a paginated list of invoices for the team, ordered by invoice number.

Permissions

Requires the invoices.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
$filterStringNoFilter expression matching invoice status or date.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/invoices`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "2a90184b-4819-4712-9912-391820491820",
            "number": "1042",
            "state": "paid",
            "total": 450
        }
    ]
}